.TH JP 1 "2014-09-19" "Salut à Toi 0.5" "Salut à Toi's manual"


.SH NAME

libervia-cli \- Libervia's command-line interface


.SH SYNOPSIS

jp [ \fB--help\fR | \fB--version\fR ]

jp [ \fBcommand\fR [ \fB--help\fR | \fBoptions\fR ] ]


.SH DESCRIPTION

Jp is Salut à Toi's non-interactive command-line interface. It allows one to
send or receive files directly from a shell, pipe commands to or from XMPP, use
XMPP easily in a script, etc.

The following commands are supported:
.IP \(bu 4
file                File sending/receiving
.IP \(bu 4
profile             Profile commands
.IP \(bu 4
pipe                Stream piping through XMPP
.IP \(bu 4
info                Get various pieces of information on entities
.IP \(bu 4
ad-hoc              Ad-hoc commands
.IP \(bu 4
params              Save/load parameters template
.IP \(bu 4
bookmarks           Manage bookmarks
.IP \(bu 4
message             Send a message to a contact

.P
To read the help of a command or subcommand, call it with the \fB--help\fR (or
\fB-h\fR) option (examples: \fBjp file \-\-help\fR, \fBjp file send \-\-help\fR,
etc.).


.SH OPTIONS

.TP
.B --version
show version number and quit
.TP
.B --help
.TQ
.B -h
display a help message and quit

.SH SEE ALSO

\fBsat\fR(1)


.SH AUTHORS AND COPYING

Salut à Toi was written by Jérôme Poisson <goffi@goffi.org>.

This man page was converted from the help message and Salut à Toi's wiki by
Matteo Cypriani <mcy@lm7.fr> for the Debian distribution (2013-2014).
.
It is released under the terms of the Creative Commons
Attribution-ShareAlike 3.0 Unported license (CC-By-SA 3.0).
